| Bsoft 2.0.5 Bernard's software package

Public Member Functions | List of all members
JSparser Class Reference

`#include <json.h>`

## Public Member Functions
| JSparser ()
| JSparser (string filename)
| JSparser (const char *buf, size_t n)
JSvalue | parse ()
JSvalue | parse (string filename)

## Detailed Description

Definition at line 358 of file json.h.

## Constructor & Destructor Documentation

## ◆ JSparser() [1/3]

JSparser::JSparser | ( |  | ) |
| inline

Definition at line 385 of file json.h.

## ◆ JSparser() [2/3]

JSparser::JSparser | ( | string | filename | ) |
| inline

Definition at line 386 of file json.h.

## ◆ JSparser() [3/3]

JSparser::JSparser | ( | const char * | buf,
|  | size_t | n
| ) |  |
| inline

Definition at line 387 of file json.h.

## Member Function Documentation

## ◆ parse() [1/2]

JSvalue JSparser::parse | ( |  | ) |
| inline

Definition at line 388 of file json.h.

## ◆ parse() [2/2]

JSvalue JSparser::parse | ( | string | filename | ) |
| inline

Definition at line 398 of file json.h.

The documentation for this class was generated from the following file:

- /Users/bernard/b20/bsoft/include/json.h